QUOTAON(8)

NAZWA
quotaon, quotaoff - włącza i wyłącza mechanizm udziałów dyskowych systemu plików

SKŁADNIA
/usr/sbin/quotaoff [ -vugp ] [ -F nazwa-formatu ] systemplików...
/usr/sbin/quotaon [ -avugfp ] [ -F nazwa-formatu ]

/usr/sbin/quotaoff [ -vugp ] [ -x stan ] systemplików...
/usr/sbin/quotaoff [ -avugp ]

OPIS

  quotaon

quotaon wskazuje systemowi, że na podanych systemach plików należy włączyć mechanizm kwot dyskowych. W katalogu głównym danego systemu plików muszą znajdować się pliki definiujące udziały, noszące nazwy aquota.user (dla wersji 2 kwot użytkowników), quota.user (dla wersji 1 kwot użytkowników), aquota.group (dla wersji 2 kwot grup) lub quota.group (dla wersji 1 kwot grup).

Specyficznym przypadkiem jest system plików XFS - traktuje on informacje o kwotach jako metadane systemu plików i korzysta z dziennika aby zagwarantować wyższy poziom ich spójności. System kwot dyskowych XFS zawiera dwa składniki: zliczanie i wymuszanie ograniczeń. System plików XFS wymaga, aby zliczanie kwot było włączane podczas montowania. Włączanie i wyłączanie wymuszania ograniczeń jest możliwe w każdym systemie plików XFS, w którym jest aktualnie włączone zliczanie. Domyślnym zachowaniem jest włączanie zarówno zliczania, jak i wymuszania ograniczeń.

Implementacja kwot w XFS nie przechowuje informacji o nich w widocznych plikach, lecz przechowuje te informacje wewnętrznie.

  quotaoff

quotaoff wskazuje systemowi, że podane systemy plików powinny mieć wyłączone wszystkie mechanizmy kwot dyskowych.

OPCJE

  quotaon

-F, --format=nazwa-formatu
    Określa format udziałów (np. nie przeprowadza automatycznego wykrywania formatu). Dostępne nazwy formatów to: vfsold - pierwotny format udziałów z 16-bitowymi UID-ami/GID-ami, vfsv0 - format udziałów z 32-bitowymi UID-ami/GID-ami, 64-bitowe użycie przestrzeni, 32-bitowe użycie i-węzłów oraz limity, vfsv1 - format udziałów z 64-bitowymi limitami i użyciem, xfs - udziały w systemie plików XFS.

-a, --all
    Włącza mechanizm kwot dyskowych na wszystkich automatycznie montowanych (bez opcji noauto) systemach plików z /etc/fstab oprócz NFS. Opcja ta służy zazwyczaj do włączania kwot podczas startu systemu.

-v, --verbose
    Wyświetla komunikat dla każdego z systemów plików, dla których włączane są kwoty.

-u, --user
    Operuje na kwotach dyskowych użytkowników. Jest to zachowanie domyślne.

-g, --group
    Operuje na kwotach dyskowych grup.

-p, --print-state
    Jedynie wypisuje stan kwot (tzn. czy są one włączone, czy wyłączone) zamiast ich włączania.

-x, --xfs-command enforce
    Włącza wymuszania ograniczeń dla systemów plików XFS. Jest to domyślne działanie we wszystkich systemach plików XFS. Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików.

-f, --off
    Powoduje, że quotaon zachowuje się tak, jak podczas wywoływania go jako quotaoff.

  quotaoff

-F, --format=nazwa-formatu
    Określa format udziałów (np. nie przeprowadza automatycznego wykrywania). Dostępne nazwy formatów to: vfsold (1 wersja udziałów), vfsv0 (2 wersja udziałów), xfs (udziały w systemie plików XFS).

-a, --all
    Wymusza wyłączenie mechanizmu kwot dyskowych na wszystkich systemach plików wymienionych w /etc/fstab.

-v, --verbose
    Wyświetla komunikat dla każdego z systemów plików, dla którego wyłączane są kwoty.

-u, --user
    Operuje na kwotach dyskowych użytkowników. Jest to zachowanie domyślne.

-g, --group
    Operuje na kwotach dyskowych grup.

-p, --print-state
    Jedynie wypisuje stanu kwot (tzn. czy są one włączone, czy wyłączone) zamiast ich wyłączania.

-x, --xfs-command delete
    Zwalnia przestrzeń używaną do przechowywania informacji o kwotach (obsługiwane wewnętrznie) w XFS. Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików. Może być zastosowana wyłącznie do systemu plików, dla którego uprzednio wyłączono kwoty.

-x, --xfs-command enforce
    Wyłącza wymuszanie ograniczeń dla systemów plików XFS (przeprowadzanie jedynie zliczania). Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików.

-x, --xfs-command account
    Ta opcja może zostać użyta do wyłączania zliczania kwot. Nie da się włączyć zliczania kwot za pomocą narzędzi quota. Proszę użyć w tym celu mount(8). Ta opcja ma zastosowanie jedynie do XFS i jest milcząco ignorowana dla pozostałych rodzajów systemów plików.

UWAGI NT. SYSTEMÓW PLIKÓW XFS
Włączanie zarówno zliczania, jak i wymuszania ograniczeń odbywa się za pomocą mount(8) lub opcji dotyczących kwot w /etc/fstab. Nie można stosować w tym celu programu narzędziowego quotaon.

Włączenie udziałów w głównym (korzeń) systemie plików XFS wymaga przekazania opcji montowania udziałów jądru w czasie rozruchu, za pomocą opcji rozruchowej rootflags Linuksa.

Aby wyłączyć wymuszania ograniczeń w systemie plików XFS, należy się najpierw upewnić, że włączone są zarówno zliczanie kwot, jak i wymuszanie ograniczeń, za pomocą repquota -v system-plików. Następnie proszę użyć quotaoff -v system-plików, aby wyłączyć wymuszanie ograniczeń. Można to zrobić na zamontowanym systemie plików.

Włączania wymuszenia ograniczeń w systemie plików XFS można wykonać za pomocą quotaon -v system-plików. Można to zrobić na zamontowanym systemie plików.

PLIKI
aquota.user lub aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/fstab
    domyślne systemy plików

ZOBACZ TAKŻE
quotactl(2), fstab(5), quota_nld(8), repquota(8), warnquota(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl>, Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.01 oryginału.